> For the complete documentation index, see [llms.txt](https://docs.getdefy.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getdefy.co/security/transaction-detail.md).

# Transaction Detail

## What is this request?

You can see more detailed transactions with this service.

## What can I do with this service?

With this service, you have a more detailed transaction and transaction aml information. You can see what was done in the transaction and with which contract this transaction was run.

## Tutorial

```javascript
var axios = require('axios');

axios.get('https://api.getdefy.co/v2/analyze/tx_detail', {
    params: {
      hash: '0xaef1b250f3c09dde83c5c040c4b0fa2363db5b35980e74cd72560d509b365299',
      network: 'polygon',
      apikey: 'API_KEY',
    },
  })
  .then(function (response) {
    console.log(JSON.stringify(response.data));
  })
  .catch(function (error) {
    console.log(error);
  });
```

#### Options

* `hash` (required): A transaction hash (i.e. `0x1a2b3x...`).
* `network` (required): A transaction network (i.e. `avalanche...`).
* `apikey` (required): API key for requests.

## Request Example

<mark style="color:blue;">`GET`</mark> `https://api.getdefy.co/v2/analyze/tx_detail`

#### Query Parameters

| Name                                      | Type   | Description         |
| ----------------------------------------- | ------ | ------------------- |
| apikey<mark style="color:red;">\*</mark>  | String | API Key             |
| hash<mark style="color:red;">\*</mark>    | String | Transaction Hash    |
| network<mark style="color:red;">\*</mark> | String | Transaction Network |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "code": 0,
    "message": "OK",
    "data": {
        "from": "0x1d0d2d8c85441050abc9eb654399fa198fbd5722",
        "to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
        "status": "Success",
        "timestamp": 1696506036,
        "network": "polygon",
        "hash": "0xd2aae7196455c600ca8759a37e10d917ab89e96d5ba5514161828e6d31b4973a",
        "value": 0,
        "transfers": [
            {
                "from": "0x1d0d2d8c85441050abc9eb654399fa198fbd5722",
                "to": "0x777f415324d56e1d54fa832902d8797db7a4c57c",
                "value": 0.01,
                "token_name": "USD Coin (PoS)",
                "token_symbol": "USDC"
            }
        ],
        "aml_data": {
            "tags": {
                "direct_blacklisted_accounts": true,
                "direct_gambling_accounts": true,
                "indirect_mixer": true,
                "indirect_blacklisted_accounts": true,
                "indirect_gambling_accounts": true
            },
            "score": 100,
            "threshold": {
                "low": 0,
                "modarate": 30,
                "high": 70
            }
        }
    }
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
  "message": "Error Message",
  "status": 5002
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getdefy.co/security/transaction-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
